Skip to content

Add or update vendor payment method

Request

Security
oauth2ClientCredentials(Required scopes: bills:write)
Path
vendorIdstringrequired
Headers
org_wallet_refstring
business_idstringrequired
Bodyapplication/jsonrequired
channelstringrequired

Payment channel type

Example:"bank"
bank_codestring

Bank code

Example:"01"
bankCodestring

Bank code alternative field

Example:"01"
bankstring

Bank name

Example:"Equity Bank"
account_numberstring

Account number

Example:"1234567890"
accnostring

Account number alternative field

Example:"1234567890"
phonestring

Phone number for mobile payments

Example:712345678
tillstring

Till number

Example:"123456"
till_nostring

Till number alternative field

Example:"123456"
business_nostring

Paybill business number

Example:"247247"
is_defaultboolean

Whether this is the default method

Example:true
curl -i -X POST \
  'https://developer.boyahq.com/_mock/v2/openapi/bills/vendors/{vendorId}/payment-method' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string' \
  -d '{
    "channel": "bank",
    "bank_code": "01",
    "bankCode": "01",
    "bank": "Equity Bank",
    "account_number": "1234567890",
    "accno": "1234567890",
    "phone": 712345678,
    "till": "123456",
    "till_no": "123456",
    "business_no": "247247",
    "is_default": true
  }'

Responses